<?php
namespace nur\sery\schema\types;

use nur\sery\schema\Result;

/**
 * Interface IType: un type de données
 */
interface IType {
  function verifix(&$value, bool $throw, ?Result &$result);

  function format($value, $format=null);
}
